General help

 
 
Picture of Debbie K
Anyone successfully using Storyline with Moodle 1.9.4?
 

Hi

I just recently invested in Storyline to allow iPad users to access our elearning but now find none of the Storyline content will load in our moodle (1.9.4)

Has anyone had success with this combination and be willing to share how or what I might be doing wrong?

Content does not get past the loading circles on iPad but does run as expected on PC and MAC. 

Am publishing for LMS using SCORM 1.2 and ticking publish to HTML5 as well as flash (but not to use Articulate mobile player)

Zipping using Storyline zip as recommended.

Articulate support say it works in their SCORM test environment (though I have not been able to confirm as their link does not load on my iPad!)

Anyone had this issue and overcome it - or have suggestions which may be helpful.

Many thanks in advance!

 
Average of ratings: -
Picture of Howard Miller
Re: Anyone successfully using Storyline with Moodle 1.9.4?
Group DevelopersGroup Documentation writersGroup Particularly helpful Moodlers

It may help to give a link to 'storyline' or a clue what it is - I have never heard of it. I'm guessing it's some sort of SCORM generator?

Whatever it is, does it promise to support a version of Moodle that old? You should really be thinking about upgrading - at the very least to the latest version of 1.9. Generally speaking, SCORM support improved steadily through Moodle versions and you should use the newest version (of Moodle) you possibly can.

Regarding the iPad - again, does the material *claim* to work on the iPad? You also have to consider that even the oldest iPad is over a year *newer* than Moodle 1.9.4, so your version of Moodle has never been tested with the iPad at all.

 
Average of ratings: -
Picture of Debbie K
Re: Anyone successfully using Storyline with Moodle 1.9.4?
 

Many thanks for your reply Howard and to expand on the info. I gave:

Storyline is Articulate's latest authoring software, specifically designed to produce both flash based and HTML5 versions do iPad users can view.

It supports publishing to the same SCORM formats as Moodle uses. I have alyways published to 1.2 as it always worked in previous software without issue in my Moodle.

I have remained on current Moodle set up for several reasons, mainly because it works (until this!) well for our needs and having tried several test upgrades without success, I decided 'if it ain't broke, don't fix it!' smile

 

 

 

 
Average of ratings: -
Picture of Mike Finney
Re: Anyone successfully using Storyline with Moodle 1.9.4?
 

Hey Debbie...

With the publication, have you tried "Publish to LMS"? That should resolve the iPad issue. Then just upload as a SCORM. I would also recommend upgrading as I am surprised you aren't having issues with Moodle with a version that old.

 
Average of ratings:Useful (1)
Picture of Debbie K
Re: Anyone successfully using Storyline with Moodle 1.9.4?
 

Hi Mike and thanks for your input - sorry, I was publising to LMS - did not cure the iPad issue sad

Never had a problem with this Moodle till this, but as mentioned, upgrading smoothly is not always easy! 

PS Also tried publishing to SCORM 2004 and AICC since as well = no joy.

 
Average of ratings: -
Picture of Allisun O'Connell
Re: Anyone successfully using Storyline with Moodle 1.9.4?
 

Had the same problem in Moodle 2.2 as discussed over here 

It's an issue with requiring login as Articulate Support explained.

Someone posted  in that thread a proposed workaround for 1.97, which might work for you. Another commenter explained why that workaround wouldn't work in 2.0.

Since we didn't require reporting/tracking within the SCORM, I decided to publish for web and host elsewhere, linking to via Moodle via URL.

 
Average of ratings: -
Picture of Debbie K
Re: Anyone successfully using Storyline with Moodle 1.9.4?
 

Thanks for your reply Allisun - your warning about mobile Safari limits re video and audio are also something new to me and very useful to know - thanks smile

Articulate support have now confirmed there are known issues with Storylines HTML5 and LMS and no workaround or time frame for resolution sad

Shame as that is the exact reason I purchased it, to allow iPad users access our content.

Your post gives another reason for us staying on 1.9 wink

Thanks again!

 

 

 
Average of ratings:Useful (1)
Picture of Darren Besanko
Re: Anyone successfully using Storyline with Moodle 1.9.4?
 

Hmm... I am not sure its a Moodle issue, but I currently having two similar problems

option 1 problem - the html5 that opens in Safari on iPad doesnt fit on the screen, and cant see the controls

Option 2 problem- if I publish for the articulate mobile player, it cannot access the data from Moodle... I think it doesnt have permission from Moodle.

 
Average of ratings: -
Picture of Dan Marsden
Re: Anyone successfully using Storyline with Moodle 1.9.4?
Group DevelopersGroup Moodle Course Creator Certificate holdersGroup Particularly helpful MoodlersGroup Translators

I hope you aren't using 1.9.4....

even with the latest Moodle release(2.5), support for mobile devices in SCORM isn't great - we have a Google Summer of Code working on improving it for Moodle 2.6 - there is a patch related to the navbar in Moodle bootstrap themesthat could be related - it will be included in the next weekly build (see MDL-39227 for more info)

option 2 is a bit vague... perhaps you should create a new discussion in the SCORM forum (not in the general help forum) with more specific details.

 
Average of ratings: -
Picture of Darren Besanko
Re: Anyone successfully using Storyline with Moodle 1.9.4?
 

No.... I think version 2.4 (hosted by a Moodle partner)

There is some discussion on option 2:

http://community.articulate.com/forums/p/20384/138375.aspx#138375

It looks like someone has done this using Tin Can, which I know nothing about.

 
Average of ratings: -
Picture of Debbie K
Re: Anyone successfully using Storyline with Moodle 1.9.4?
 

Hi all

An update on where we are which I hope will be helpful to some.

1. Articulate have confirmed their mobile app. does not work in Moodle. 

2. If we publish for web and upload to Moodle, we ARE able to view on iPad AND keep content within moodle i.e students login to view.

Option 2 does not appear possible in 2+

Good old 1.9.4! wink

I hope this helps others trying to achieve iPad viewing with Storyline in moodle smile

 

 

 
Average of ratings: -
Picture of Douglas Broad
Re: Anyone successfully using Storyline with Moodle 1.9.4?
 

Debbie,

Have you considered using Adobe Captivate?  I believe Flash isn't supported by Apple in any case.

 
Average of ratings: -
Picture of Debbie K
Re: Anyone successfully using Storyline with Moodle 1.9.4?
 

Hi Douglas

Thanks for your suggestion, I am not familiar with Captivate, but will explore.

We purchased Articulate Storyline specifically because it advertises a dual viewing format so Apple users can view content.

Unfortunately we are not having much success in getting it to do so in moodle. 

My previous psrt saying we got success using publish t web was premature - it does not work for any slides with video content.

 
Average of ratings: -